Bug 311701 - Wireless network fails on resume iwl3945 module
Wireless network fails on resume iwl3945 module
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 17:06 EDT by Need Real Name
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 09:46:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-09-28 17:06:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8.1.5) Gecko/20070718 Fedora/2.0.0.5-1.fc7 Firefox/2.0.0.5

Description of problem:
I am using wpa security, Network manager connects on power on to wan, on resume the wireless does not reconnect, network manager applett shows no wan interface

Version-Release number of selected component (if applicable):
kernel-2.6.22.7-85.fc7.x86_64.rpm

How reproducible:
Always


Steps to Reproduce:
1.suspend laptop
2.open lid
3.

Actual Results:
No wlan

Expected Results:
wlan should have resumed

Additional info:
running the following command will often wake up my wlan after resuming
[root@sydney ~]# /etc/init.d/NetworkManager stop && rmmod iwl3945 && sleep 1 && modprobe iwl3945 && /etc/init.d/NetworkManager start
Comment 1 John W. Linville 2007-10-01 10:50:11 EDT
Can you replicate this with the 2.6.22.9-91.fc7 kernel?
Comment 2 Need Real Name 2007-10-01 16:50:11 EDT
I have already, didn't work. Or should I say it works sometimes, very
intermittent. I would like to semi close this bug as I am trying to upgrade to
Fedora 8 Beta 2 and wont be able to do any testing, maybe reopen if its still a
bug in 8?
Comment 3 John W. Linville 2007-10-16 13:52:58 EDT
Is this still a bug in current fedora 8 kernels?
Comment 4 Pawel Salek 2007-10-19 18:15:52 EDT
2.6.23.1-23.fc8 resumes wlan just fine *AS LONG* as the configuration is set via
ifcfg-wlan0. NetworkManager still cannot restore its configuration on wake up
for me (but that's another bug). This is with Dell D630.
Comment 5 Pawel Salek 2007-10-20 16:21:47 EDT
I see though one glitch with 2.6.23.1-23.fc8: when I use the killswitch, "rmmod
iwl4965 && modprobe iwl4965" is required to reenable the wireless interface.
Comment 6 John W. Linville 2007-10-22 09:46:59 EDT
Closing as RAWHIDE...please feel free to open separate bugs for the issues 
mentioned in comment 4 and comment 5.

Note You need to log in before you can comment on or make changes to this bug.